<?php

namespace App\Controller;

use App\Entity\Collectionneur;
use App\Form\CollectionneurType;
use App\Repository\CollectionneurRepository;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/collectionneur')]
class CollectionneurController extends AbstractController
{
    #[Route('/', name: 'app_collectionneur')]
    public function index(CollectionneurRepository $collectionneurRepository): Response
    {
        return $this->render('collectionneur/index.html.twig', [
            'collectionneurs' => $collectionneurRepository->findAll(),
        ]);
    }

    #[Route('/insert', name: 'app_collectionneur_insert')]
    public function new(EntityManagerInterface $entityManager): Response
    {
        $collectionneur = new Collectionneur() ;

        $collectionneur->setCollectionneurPrenom("Gérard") ;
        $collectionneur->setCollectionneurNom("Menvusa") ;

        $entityManager->persist($collectionneur);
        $entityManager->flush();

        return $this->redirectToRoute('app_collectionneur_show', [
            'id' => $collectionneur->getId()
        ], Response::HTTP_SEE_OTHER);
    }

    #[Route('/{id}', name: 'app_collectionneur_show')]
    public function show(Collectionneur $collectionneur): Response
    {
        return $this->render('collectionneur/show.html.twig', [
            'collectionneur' => $collectionneur,
        ]);
    }

    #[Route('/update/{id}', name: 'app_collectionneur_update')]
    public function update(Collectionneur $collectionneur, EntityManagerInterface $entityManager): Response
    {
        $collectionneur->setCollectionneurNom("Peuplut") ;
        $collectionneur->setCollectionneurPrenom("Jean") ;

        $entityManager->persist($collectionneur);
        $entityManager->flush();

        return $this->render('collectionneur/show.html.twig', [
            'collectionneur' => $collectionneur,
        ]);
    }

    #[Route('/delete/{id}', name: 'app_collectionneur_delete')]
    public function delete(Collectionneur $collectionneur, EntityManagerInterface $entityManager): Response
    {
        $entityManager->remove($collectionneur);
        $entityManager->flush();

        return $this->redirectToRoute('app_collectionneur', [], Response::HTTP_SEE_OTHER);
    }
}
