<?php

namespace App\Controller;

use App\Entity\Collectionner;
use App\Entity\PieceModele;
use App\Entity\PiecePays;
use App\Repository\PiecePaysRepository;
use Doctrine\ORM\EntityManagerInterface;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;

#[Route('/piecePays')]
class PiecePaysController extends AbstractController
{
    #[Route('/', name: 'app_piece_pays')]
    public function index(PiecePaysRepository $piecePaysRepository): Response
    {
        return $this->render('piece_pays/index.html.twig', [
            'piece_pays' => $piecePaysRepository->findAll(),
        ]);
    }

    #[Route('/insert', name: 'app_piece_pays_insert')]
    public function insert(EntityManagerInterface $entityManager): Response
    {
        $pieceModele = $entityManager->getRepository(PieceModele::class)->find(1) ;

        $piecePays = new PiecePays() ;

        $piecePays->setPieceModeleID($pieceModele) ;
        $piecePays->setPaysNom('Vatican') ;

        $entityManager->persist($piecePays);
        $entityManager->flush();

        return $this->redirectToRoute('app_piece_pays_show', [
            'id' => $piecePays->getId()
        ], Response::HTTP_SEE_OTHER);
    }

    #[Route('/{id}', name: 'app_piece_pays_show')]
    public function show(Collectionner $collectionner): Response
    {
        return $this->render('collectionner/show.html.twig', [
            'collectionner' => $collectionner,
        ]);
    }

    #[Route('/update/{id}', name: 'app_piece_pays_update')]
    public function update(PiecePays $piecePays, EntityManagerInterface $entityManager): Response
    {
        $piecePays->setPaysNom('Listenbourg') ;

        $entityManager->persist($piecePays);
        $entityManager->flush();

        return $this->render('piece_pays/show.html.twig', [
            'piece_pay' => $piecePays,
        ]);
    }

    #[Route('/delete/{id}', name: 'app_piece_pays_delete')]
    public function delete(PiecePays $piecePays, EntityManagerInterface $entityManager): Response
    {
        $entityManager->remove($piecePays);
        $entityManager->flush();

        return $this->redirectToRoute('app_piece_pays', [], Response::HTTP_SEE_OTHER);
    }
}
